Skip to main content
GET
/
v1
/
stats
/
summary
Get store metrics summary
curl --request GET \
  --url https://api.creem.io/v1/stats/summary \
  --header 'x-api-key: <api-key>'
{
  "totals": {
    "totalProducts": 12,
    "totalSubscriptions": 48,
    "totalCustomers": 35,
    "totalPayments": 62,
    "activeSubscriptions": 21,
    "totalRevenue": 553939,
    "totalNetRevenue": 478094,
    "netMonthlyRecurringRevenue": 89500,
    "monthlyRecurringRevenue": 94200
  },
  "periods": [
    {
      "timestamp": 1763337600000,
      "grossRevenue": 2999,
      "netRevenue": 2909
    },
    {
      "timestamp": 1763942400000,
      "grossRevenue": 32989,
      "netRevenue": 31998
    },
    {
      "timestamp": 1764547200000,
      "grossRevenue": 47984,
      "netRevenue": 46542
    },
    {
      "timestamp": 1765152000000,
      "grossRevenue": 125958,
      "netRevenue": 122173
    },
    {
      "timestamp": 1765756800000,
      "grossRevenue": 343968,
      "netRevenue": 278372
    },
    {
      "timestamp": 1766361600000,
      "grossRevenue": 0,
      "netRevenue": 0
    },
    {
      "timestamp": 1766966400000,
      "grossRevenue": 0,
      "netRevenue": 0
    },
    {
      "timestamp": 1767571200000,
      "grossRevenue": 225240,
      "netRevenue": 192096
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.

Query Parameters

startDate
number

Start of the date range as a Unix timestamp in milliseconds (e.g. 1740614400000). When provided with endDate, filters totals to this range. Required when interval is specified.

endDate
number

End of the date range as a Unix timestamp in milliseconds (e.g. 1772150400000). When provided with startDate, filters totals to this range. Required when interval is specified.

interval
enum<string>

Groups time-series data into buckets of this size. Requires startDate and endDate. Returns a periods array with one entry per bucket containing grossRevenue and netRevenue.

Available options:
day,
week,
month
currency
enum<string>
required
Available options:
EUR,
USD

Response

Successfully retrieved store metrics summary

totals
object
required

Aggregated totals for the queried date range

periods
object[]

Time-series data points grouped by the requested interval. Only present when interval, startDate, and endDate are provided.

Example:
[
{
"timestamp": 1763337600000,
"grossRevenue": 2999,
"netRevenue": 2909
},
{
"timestamp": 1763942400000,
"grossRevenue": 32989,
"netRevenue": 31998
},
{
"timestamp": 1764547200000,
"grossRevenue": 47984,
"netRevenue": 46542
},
{
"timestamp": 1765152000000,
"grossRevenue": 125958,
"netRevenue": 122173
},
{
"timestamp": 1765756800000,
"grossRevenue": 343968,
"netRevenue": 278372
},
{
"timestamp": 1766361600000,
"grossRevenue": 0,
"netRevenue": 0
},
{
"timestamp": 1766966400000,
"grossRevenue": 0,
"netRevenue": 0
},
{
"timestamp": 1767571200000,
"grossRevenue": 225240,
"netRevenue": 192096
}
]